An audio output that uses browser audio api OscillatorNode as a sound source

### Hierarchy

- SuiOscillator
  - SuiWavetable

## Index

### Constructors

- constructor

### Methods

- createAudioGraph

## Constructors

### constructor

- new SuiWavetable(parameters: SuiOscillatorParams): SuiWavetable

- Inherited from SuiOscillator.constructor

  - Defined in src/render/audio/oscillator.ts:284

  #### Parameters

  - ##### parameters: SuiOscillatorParams

  #### Returns SuiWavetable

## Methods

### createAudioGraph

- createAudioGraph(): Promise<any>

- Inherited from SuiOscillator.createAudioGraph

  - Defined in src/render/audio/oscillator.ts:328

  Connect the audio sound source to the output, combining other nodes in the mix such as convolver (reverb), delay, and gain. Also set up the envelope

  #### Returns Promise<any>

  - a promise that tis resolved when `duration` time has expired

Generated using TypeDoc